Bug 1409986 - Keywords field should use the same type of widget as other multi-select lists
Summary: Keywords field should use the same type of widget as other multi-select lists
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 06:12 UTC by Jason McDonald
Modified: 2019-01-24 00:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-24 00:07:50 UTC


Attachments (Terms of Use)

Description Jason McDonald 2017-01-04 06:12:52 UTC
Description of problem:
Most of the multi-select lists have been changed to Selectize, the Keywords field has not.

For Keywords, you get a drop-down to select the first value, then the list closes and you have to type something to select additional values -- clicking on the field doesn't open the drop-down again if at least one value is alredy selected.

For consistency, Keywords should use a Selectize list like the other drop-downs.

Version-Release number of selected component (if applicable):
5.0.3

How reproducible:
Always

Steps to Reproduce:
1. Go to New->Community->Bugzilla
2. Select a Keyword using only the mouse
3. Try to select a second Keyword using only the mouse

Actual results:
In step 3, it seems impossible to select a second keyword using the mouse alone.

Expected results:
Keywords behaves consistently with other multi-select lists in the Bugzilla UI -- any number of Keywords can be selected using only the mouse.

Additional info:
none

Comment 1 Jeff Fearn 🐞 2018-03-13 05:10:39 UTC
Keywords isn't a select field, it's a YUI auto complete input, if it's replaced with a normal select it'll be selectized, but the back end will probably need changing as well.

There a few of these fields in the UI.

Comment 2 Jeff Fearn 🐞 2019-01-24 00:07:50 UTC
In preparation for entering maintenance mode we are closing bugs that are unlikely to be scheduled in maintenance sprints.


Note You need to log in before you can comment on or make changes to this bug.